<?php

// Id used to identify this page within functions.
$PageID = "STATS";

require_once "common.inc";

require_once "config.inc";
require_once "constants.inc";
require_once "db.inc";
require_once "error.inc";
require_once "layout.inc";
require_once "language.inc";
require_once "search.inc";
require_once "MARC.inc";

layout_header();

$sql = "SELECT book_borrow_count, book_control_number FROM books WHERE book_borrow_count!=0 ORDER BY book_borrow_count DESC";
$sqlResult = mysql_query($sql);

if(!mysql_num_rows($sqlResult))
{
	layout_page_title($langText['NOTHING_BORROWED']);
}
else
{
	layout_page_title($langText['TOP_TEN_HEADER']);

	$headers = array($langText['RANKING'], $langText['BORROW_COUNT']);

	foreach ($MARC_display_in_list as $value)
	{
		array_push($headers, $langText[strtoupper($MARC_config[$value])]);
	}
	layout_table_header($headers);

	$i = 0;
	$rows = array();

	while(($row = mysql_fetch_array($sqlResult)) && $i < 100)
	{
		if(array_key_exists($row['book_control_number'], $rows))
			$rows[$row['book_control_number']]['book_borrow_count'] += $row['book_borrow_count'];
		else
			$rows[$row['book_control_number']] = $row;
		$i++;
	}

	$i = 0;
	foreach($rows as $row)
	{
		$i++;

		if ($i >= 10)
			break;

		$content = array($i, $row['book_borrow_count']);

		$_REQUEST['element'] = "F";
		list($YAZ_items, $hits) = search("001", format_control_number($row['book_control_number']), "1");
		parseMARC($YAZ_items[0]);

		$row = createMARCRow(return_with_format_syntax($MARC_display_in_list));

		foreach ($row as $key => $value)
		{
			array_push($content, $row[$key]);
		}

		layout_table_row($content);
	}

    ?>

    <form name='print' action='perl/PDF.pl' method='get'>
    	<input type='hidden' name='id' value='<?php echo $_REQUEST['id']?>'>
		<input type='hidden' name='auth' value='<?php echo $_REQUEST['auth']?>'>
		<input type='hidden' name='perl_id' value='<?php echo $config['perl_id']?>'>
		<input type='hidden' name='perl_auth' value='<?php echo md5($config['perl_auth'])?>'>
		<input type='hidden' name='from_url' value='<?php echo get_base_url()?>pdf.php?id=<?php echo $_REQUEST['id']?>&auth=<?php echo $_REQUEST['auth']?>&page=statistics'>

	<?php

	layout_table_footer("<input type='submit' name='print' value='".$langText['BUTTON_PRINT']."' class='button'>");

	?>

	</form>

	<?php
}

layout_footer();

?>
